@import url('https://fonts.googleapis.com/css?family=Raleway');

body {
    background-color: #a03220;
    font-family: 'Raleway', sans-serif;
    padding: 32px;
}

h1 {
    font-size: 64px;
    margin-bottom: 16px;
}

h1,
h2 {
    color: #f2f2f2;
    text-align: center;
}

h2 {
    font-size: 48px;
}

h3 {
    margin: 8px;
}

.logo {
    width: 600px;
}

.top-username {
    margin-top: 200px;
}

.input-group>.custom-select:not(:last-child), .input-group>.form-control:not(:last-child),
.input-group>.input-group-append>.btn, .input-group>.input-group-append>.input-group-text, .input-group>.input-group-prepend:first-child>.btn:not(:first-child), .input-group>.input-group-prepend:first-child>.input-group-text:not(:first-child), .input-group>.input-group-prepend:not(:first-child)>.btn, .input-group>.input-group-prepend:not(:first-child)>.input-group-text {
    font-size: 18px;
}

/* Room */

.room-btn {
    overflow: hidden;
    white-space: normal;
    width: 300px;
}

.room-count {
    color: #f2f2f2;
    font-size: 20px;
    margin-right: 8px;
    vertical-align: middle;
}

/* --- */

.bottomUsername,
.topUsername,
.leftUsername,
.rightUsername {
    color: #f2f2f2;
}

.bottomUsername {
    bottom: calc(32px + 134px);
}

.topUsername {
    top: calc(32px + 134px);
}

.leftUsername {
    left: calc(32px + 134px);
}

.rightUsername {
    right: calc(32px + 134px);
}

#bottom,
.bottomUsername,
#top,
.topUsername,
#left,
.leftUsername,
#right,
.rightUsername {
    position: absolute;
}

#bottom,
.bottomUsername,
#top,
.topUsername {
    left: 50%;
    transform: translateX(-50%);
}

#bottom,
#left,
#top,
#right {
    height: 134px;
    width: 700px;
}

#bottom {
    bottom: 32px;
}

#top {
    top: 32px;
}

#left,
.leftUsername,
#right,
.rightUsername {
    top: 50%;
    transform: translateY(-50%);
}

#left {
    left: calc(-350px + 67px + 16px);
    transform: translateY(-50%) rotate(-90deg);
}

#right {
    right: calc(-350px + 67px + 16px);
    transform: translateY(-50%) rotate(90deg);
}

.pick {
    cursor: pointer;
    height: 134px;
    left: 50%;
    top: 50%;
    position: absolute;
    transform: translate(calc(-50% - 60px), -50%);
    width: 86px;
}

.cardCountByDraw {
    color: #f2f2f2;
    font-size: 20px;
    height: auto;
    text-align: center;
    transform: translate(calc(-50% - 60px), calc(-50% + 88px));
}

.played {
    height: 134px;
    left: 50%;
    top: 50%;
    position: absolute;
    transform: translate(calc(-50% + 60px), -50%);
    width: 86px;
}

.playedCardColor {
    color: #f2f2f2;
    font-size: 20px;
    height: auto;
    text-align: center;
    transform: translate(calc(-50% + 60px), calc(-50% + 88px));
}

/* --- */

.tmp-hand {
    display: flex;
    bottom: 0;
    position: absolute;
    width: 60%;
}

.tmp-card-container {
    flex: 1 0 0;
    overflow-x: hidden;
}

.tmp-card-container:hover {
    overflow: visible;
}

.tmp-card-playable {
    cursor: -webkit-grab;
    transition: transform .25s ease-out;
}

.tmp-card-container:last-child {
    flex: 0 0 auto;
}

.tmp-card {
    height: 134px;
    width: 86px;
}

.players {
    color: white;
    font-size: 48px;
    list-style: none;
    padding: 0;
}

* {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-preabsolute version, currently
                                  supported by Chrome and Opera */
}

.tmp-hand {
    z-index: 1000;
}

body {
    overflow: hidden;
}

.loader-container {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
}

.loader {
    animation: spin 2s linear infinite;
    border: 12px solid #a03220;
    border-top: 12px solid white;
    border-bottom: 12px solid white;
    border-radius: 50%;
    height: 96px;
    width: 96px;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.center-center {
    top: 40%;
    text-align: center;
    position: absolute;
    transform: translate(-50%, -50%); 
    left: 50%;
}